Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Bunch o' PCSX2 linux Problems
#1
<My OS is Ubuntu 12.10>
----------------------------------------
I decided that I would love to play some old fashion Kingdom Hearts on my computer so I downloaded PCSX2 and burned all the files in the PS2 Disc into an ISO File which works as it should. The problem is that whenever I try to go into the game after the Main Menu the game decides it doesnt want to be played and shuts off. I will try to provide as many details as possible, so lets get started.

The file I use to run PCSX2 "launch_pcsx2_linux.sh" works fine I run it in terminal to get these little messages:
ERROR the plugin (plugins/libzzogl-0.4.0.so) miss some dependencies
libCg.so => not found
libCgGL.so => not found

Interface is initializing. Entering Pcsx2App:OhmynInit!
Applying operating system default language...
Command line parsing...
Command line parsed!
Fontconfig warning: "/etc/fonts/conf.d/65-droid-sans-fonts.conf", line 61: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/65-droid-sans-fonts.conf", line 96: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-garuda-synthetic.conf", line 9: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-garuda-synthetic.conf", line 21: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-kinnari-synthetic.conf", line 9: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-kinnari-synthetic.conf", line 21: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-loma-synthetic.conf", line 12: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-umpush-synthetic.conf", line 9: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-umpush-synthetic.conf", line 21: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 9: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 22: Having multiple <family> in <alias> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 22: Having multiple <family> in <alias> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 22: Having multiple <family> in <alias> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 26: Having multiple <family> in <alias> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 31: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 40: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-unfonts-core.conf", line 11: Having multiple values in <test> isn't supported and may not work as expected
------------------------------------------------------------------------------------------------------------------------
I noticed at the top it mentions I have missing plugins but werent they supposed to come with PCSX2? If that isnt so then is there a command in terminal I can do to get these plugins, or a website to download them from? Moving on c:
The Plugins I am using are:
GS: GSdx (GCC 4.6.3, SSE2) 0.1.16 [libGSdx-0.1.16]
PAD: OnePAD 1.1.0 [libonepad-1.1.0]
SPU2: SPU2-X 2.0.0 [libspu2x-2.0.0] (<--- is that audio?)
CDVD: EFP polling CDVD Driver 0.4.0 [libCDVDlinuz] (Question: How can I play the game directly from the cd?)
USB: USBnull Driver 0.7.0 [libUSBnull-0.7.0]
FW: FWnull Driver 0.7.0 [libFWnull-0.7.0]
DEV9: DEV9null Driver 0.5.0 [libdev9null-0.5.0]

------------------------------------------------------------------------------------------------------------------------
Kingdom Hearts only runs at about (In the Main Menu, the only part I can open up) 30 fps but I will fix that some other time. Most of the plugins only had one option (I know that is default for the last three but some of the other Plugins only had one Plugin option to chose from)
------------------------------------------------------------------------------------------------------------------------
I am not sure this is related but after following the installation process for installing PCSX2 I could no longer use the software-center, using it in the terminal gives me this:
------------------------------------------------------------------------------------------------------------------------
Fontconfig warning: "/etc/fonts/conf.d/65-droid-sans-fonts.conf", line 61: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/65-droid-sans-fonts.conf", line 96: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-garuda-synthetic.conf", line 9: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-garuda-synthetic.conf", line 21: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-kinnari-synthetic.conf", line 9: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-kinnari-synthetic.conf", line 21: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-loma-synthetic.conf", line 12: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-umpush-synthetic.conf", line 9: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/89-tlwg-umpush-synthetic.conf", line 21: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 9: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 22: Having multiple <family> in <alias> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 22: Having multiple <family> in <alias> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 22: Having multiple <family> in <alias> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 26: Having multiple <family> in <alias> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 31: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-nanum.conf", line 40: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/90-fonts-unfonts-core.conf", line 11: Having multiple values in <test> isn't supported and may not work as expected
2013-09-04 22:02:30,571 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
Traceback (most recent call last):
File "/usr/bin/software-center", line 130, in <module>
app = SoftwareCenterAppGtk3(options, args)
File "/usr/share/software-center/softwarecenter/ui/gtk3/app.py", line 291, in __init__
self.cache = get_pkg_info()
File "/usr/share/software-center/softwarecenter/db/pkginfo.py", line 245, in get_pkg_info
from softwarecenter.db.pkginfo_impl.aptcache import AptCache
File "/usr/share/software-center/softwarecenter/db/pkginfo_impl/aptcache.py", line 30, in <module>
from aptdaemon.client import AptClient
File "/usr/lib/python2.7/dist-packages/aptdaemon/client.py", line 70, in <module>
class MemoizedMixIn(MemoizedTransaction, GObject.GObjectMeta):
File "/usr/lib/python2.7/dist-packages/gi/module.py", line 316, in __getattr__
return getattr(self._introspection_module, name)
File "/usr/lib/python2.7/dist-packages/gi/module.py", line 135, in __getattr__
self.__name__, name))
AttributeError: 'gi.repository.GObject' object has no attribute 'GObjectMeta'
-----------------------------------------------------------------------------------------------------------------------
If you need any more information be sure to tell me, I will be thankful for any feedback you all can give on this problem.
~~~~~~~~~~~~~~~~
l The Flame Blazes l
~~~~~~~~~~~~~~~~
Reply

Sponsored links

#2
(09-05-2013, 04:11 AM)blazerdark Wrote: I decided that I would love to play some old fashion Kingdom Hearts on my computer so I downloaded PCSX2 and burned all the files in the PS2 Disc into an ISO File which works as it should.

try run it directly w/ your original game disc.
Main Hub:i5-4670(3.4Ghz Factory Clocked),ATi Radeon HD7770(GDDR5+128-bit+1GB),Win 10 SL(x64),ASUS H8M-E,8GB DDR3 RAM
Reply
#3
For Linux issues, lets start with the basics. Cpu? Gpu? Open source or proprietary drivers? Is your distro 32 or 64 bit? How did you install pcsx2 (compiled yourself or used the ppa)?

Also, it says you are missing libcg and libcggl.
sudo apt-get install libcg libcggl

To add, using the stable version downloaded off the main page will get you nowhere fast. Gregory has fixed TONS of issues in the latest SVN versions.
OS: Linux Mint 17.2 64 bit (occasional Antergos/Arch user)
(I am no longer a Windows user)
CPU: Intel Pentium G3258
GPU: Nvidia GTX 650 Ti



Reply
#4
OS:Linux 3.2.0-32-generic-pae i686
Cpu: AMD Athlon™ Dual Core Processor 4450e
I cant find the other things you were asking of
Reply
#5
(09-05-2013, 04:39 AM)DaTankAC Wrote: For Linux issues, lets start with the basics. Cpu? Gpu? Open source or proprietary drivers? Is your distro 32 or 64 bit? How did you install pcsx2 (compiled yourself or used the ppa)?

Also, it says you are missing libcg and libcggl.
sudo apt-get install libcg libcggl

To add, using the stable version downloaded off the main page will get you nowhere fast. Gregory has fixed TONS of issues in the latest SVN versions.
The game is running, not perfectly but still running. It runs at average about 37.23 fps but I can deal with that. (That is without audio
Reply
#6
At least it's running. A pretty good speed too for a very old cpu.
On a side note to find out your gpu (graphics card)...
sudo apt-get install mesa-utils

That will install program to run the next command...

glxinfo | grep -i opengl

AND

lspci | grep -i vga
OS: Linux Mint 17.2 64 bit (occasional Antergos/Arch user)
(I am no longer a Windows user)
CPU: Intel Pentium G3258
GPU: Nvidia GTX 650 Ti



Reply
#7
My Gpu:
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GT 220/PCIe/SSE2/3DNOW!
OpenGL version string: 3.3.0 NVIDIA 304.88
OpenGL shading language version string: 3.30 NVIDIA via Cg compiler

VGA compatible controller: NVIDIA Corporation GT216 [GeForce GT 220] (rev a2). I will try to see if I can run it faster, with audio on ( I dont have the audio on to make it faster)
Reply
#8
For your old specs, this is as good as its going to get.
OS: Linux Mint 17.2 64 bit (occasional Antergos/Arch user)
(I am no longer a Windows user)
CPU: Intel Pentium G3258
GPU: Nvidia GTX 650 Ti



Reply
#9
So interestingly enough, after a couple times running the game, same settings and everything being the same. The game decided not to work. It goes to the main menu I select New Game -> Normal -> Vibration Off -> Ok And then PCSX2 crashes on me...
Reply




Users browsing this thread: 1 Guest(s)